Subject: bug#21738: 25.0.50; eww freezes/crashes at times

From: Wolfgang Jenkner <[email-masked]>
Date: Sat, 24 Oct 2015 17:05:55 +0200

On Thu, Oct 22 2015, Kaushal Modi wrote:

> Missing separate debuginfo for /home/kmodi/usr_local/6/lib64/libgif.so.4

I wonder a bit about the versions of your various packages:

You said you are on RHEL 6.1, so I guess that (the old version of)
libgif above has been installed from a RHEL or CentOS package; in any
case, it seems to match the version in

http://mirror.centos.org/centos/6/os/x86_64/Packages/

On the other hand, on emacs-devel you said that your ImageMagick is
6.8.9.1, which is relatively recent (2014) and does not match the
version in the list above, viz. 6.7.2.7 (also, your gdb does not
complain about missing debug info here).

So, did you compile ImageMagick yourself?  Perhaps it might be
worthwhile to try the CentOS package above instead?

(Note that I have no idea about RHEL or CentOS, so I don't really know
what I'm talking about here.)